Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.spi.ui
Class ECPReferenceServiceImpl

    java.lang.Object
      org.eclipse.emf.ecp.spi.ui.ECPReferenceServiceImpl

All Implemented Interfaces:
  ReferenceService, ViewModelService

    public class ECPReferenceServiceImpl

extends Object
implements ReferenceService

Since:
  1.2
Author:
  Eugen Neufeld

Constructor Summary
`ECPReferenceServiceImpl()`

Method Summary
`void` | `addExistingModelElements(org.eclipse.emf.ecore.EObject eObject, org.eclipse.emf.ecore.EReference eReference)` Adds existing model elements to the `EReference`.
`void` | `addNewModelElements(org.eclipse.emf.ecore.EObject eObject, org.eclipse.emf.ecore.EReference eReference)` Adds new model elements to the `EReference`.
`void` | `dispose()` Dispose.
`int` | `getPriority()` Returns the priority for this view service.
`void` | `instantiate(ViewModelContext context)` Instantiate the view service.
`void` | `openInNewContext(org.eclipse.emf.ecore.EObject eObject)` Opens an `EObject` in a new context.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ECPReferenceServiceImpl

    public ECPReferenceServiceImpl()

Method Detail

### instantiate

    public void instantiate(ViewModelContext context)

  Instantiate the view service.

  Specified by:
    `instantiate` in interface `ViewModelService`
  Parameters:
    `context` - the `ViewModelContext`
  See Also:
    `ViewModelService.instantiate(org.eclipse.emf.ecp.view.spi.context.ViewModelContext)`

### dispose

    public void dispose()

  Dispose.

  Specified by:
    `dispose` in interface `ViewModelService`
  See Also:
    `ViewModelService.dispose()`

### getPriority

    public int getPriority()

  Returns the priority for this view service.

  Specified by:
    `getPriority` in interface `ViewModelService`
  Returns:
    the priority
  See Also:
    `ViewModelService.getPriority()`

### addNewModelElements

    public void addNewModelElements(org.eclipse.emf.ecore.EObject eObject,
                                    org.eclipse.emf.ecore.EReference eReference)

  Adds new model elements to the `EReference`. The implementation is responsible for providing a selection meachsims, e.g. a dialog.

  Specified by:
    `addNewModelElements` in interface `ReferenceService`
  Parameters:
    `eObject` - the `EObject` to add
    `eReference` - the `EReference` to add the `EObject` to
  Since:
    1.5

### addExistingModelElements

    public void addExistingModelElements(org.eclipse.emf.ecore.EObject eObject,
                                         org.eclipse.emf.ecore.EReference eReference)

  Adds existing model elements to the `EReference`. The implementation is responsible for providing a selection meachsims, e.g. a dialog.

  Specified by:
    `addExistingModelElements` in interface `ReferenceService`
  Parameters:
    `eObject` - the `EObject` to add
    `eReference` - the `EReference` to add the `EObject` to
  Since:
    1.5

### openInNewContext

    public void openInNewContext(org.eclipse.emf.ecore.EObject eObject)

  Opens an `EObject` in a new context.

  Specified by:
    `openInNewContext` in interface `ReferenceService`
  Parameters:
    `eObject` - the `EObject` to open in a new context
  See Also:
    `ReferenceService.openInNewContext(org.eclipse.emf.ecore.EObject)`

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.